#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;                                        
uniform mat3 u_hue;                                             
uniform float u_alpha;

uniform sampler2D u_texture1;

void main()                                                     
{
    vec4 color = texture2D(CC_Texture0, v_texCoord);
    color.a = texture2D(u_texture1, v_texCoord).r;
    vec3 rgbColor = u_hue * color.rgb;
    gl_FragColor = vec4(rgbColor, color.a * u_alpha);
}
