#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;


void main(void)
{
    vec4 color = v_fragmentColor * texture2D(u_texture, v_texCoord);
    
//    float grey = dot(col.rgb, vec3(0.299, 0.587, 0.114));
//    gl_FragColor = vec4(grey, grey, grey, col.a);
    
    gl_FragColor.xyz = vec3(0.2126*color.r + 0.7152*color.g + 0.0722*color.b);
    gl_FragColor.w = color.w;
}